/**
***     Copyright (C) 2010 - 2010 Sophia Cradle Incorporated.
***     All rights reserved.
***
***     This source code was written by YAMADA Naoaki.
***
***     Project         : SophiaFramework
***     Codename        : Graviton
***     Platform        : x86, ARM
***     OS              : BREW 2.0, BREW 2.1, BREW 3.1, BREW 4.0
***     Compiler        : Visual C++ 6.0, Visual C++ .NET 2003, Visual C++ 2005,
***                       ADS 1.2, RVCTB 1.2, RVCTB 3.0,
***                       GNUARM 4.1.1, YAGARTO 4.4.2
***     Package         : General Utility Package
***     File            : SFXEventBypass.h.hpp
**/

#ifndef __SOPHIAFRAMEWORK_SFXEVENTBYPASS_HHPP
#define __SOPHIAFRAMEWORK_SFXEVENTBYPASS_HHPP

#include <SFXGeneral/SFXEnvironment.h.hpp>
#include <SFXGeneral/SFXEvent/SFXEventBypass.f.hpp>
#include <SFCCore/SFCApplication.h.hpp>

class SFXEventBypass {
    SFMSEALCONSTRUCT(SFXEventBypass)
    public:
        static  SFCError                        Register                        (SFCApplication::CallbackSPP spp, VoidPtr reference);
        static  Void                            Unregister                      (SFCApplication::CallbackSPP spp, VoidPtr reference);
};

#include <SFXGeneral/SFXEvent/SFXEventBypass.i.hpp>

#endif // __SOPHIAFRAMEWORK_SFXEVENTBYPASS_HHPP //
